org.eclipse.net4j.util.ui.container

## Class ElementWizardAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.net4j.util.ui.actions.SafeAction
        - - org.eclipse.net4j.util.ui.actions.LongRunningAction
          - - org.eclipse.net4j.util.ui.container.ElementWizardAction

- All Implemented Interfaces:
    IAction

      public class ElementWizardAction
      extends LongRunningAction

  Since:
    3.2
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

      `INTERACTIVE`

    - ### Fields inherited from interface org.eclipse.jface.action.IAction

      `AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementWizardAction(Shell shell, java.lang.String title, java.lang.String toolTip, ImageDescriptor image, java.lang.String productGroup)`
    `ElementWizardAction(Shell shell, java.lang.String title, java.lang.String toolTip, ImageDescriptor image, java.lang.String productGroup, IManagedContainer container)`
    `ElementWizardAction(Shell shell, java.lang.String title, java.lang.String toolTip, ImageDescriptor image, java.lang.String productGroup, IManagedContainer container, java.lang.String defaultFactoryType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doRun(IProgressMonitor progressMonitor)`
    `java.lang.String` | `getDefaultDescription(java.lang.String factoryType)` Can be overridden by subclasses.
    `java.lang.String` | `getDefaultFactoryType()`
    `protected void` | `preRun()`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.actions.LongRunningAction

      `cancel, checkCancelation, getBundleID, getDisplay, getPage, getShell, getTotalWork, getWorkbenchWindow, safeRun, setPage, setTotalWork`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

      `run`

    - ### Methods inherited from class org.eclipse.jface.action.Action

      `convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

    - ### Methods inherited from class org.eclipse.jface.action.AbstractAction

      `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementWizardAction

          public ElementWizardAction(Shell shell,
                                     java.lang.String title,
                                     java.lang.String toolTip,
                                     ImageDescriptor image,
                                     java.lang.String productGroup)

    - #### ElementWizardAction

          public ElementWizardAction(Shell shell,
                                     java.lang.String title,
                                     java.lang.String toolTip,
                                     ImageDescriptor image,
                                     java.lang.String productGroup,
                                     IManagedContainer container)

    - #### ElementWizardAction

          public ElementWizardAction(Shell shell,
                                     java.lang.String title,
                                     java.lang.String toolTip,
                                     ImageDescriptor image,
                                     java.lang.String productGroup,
                                     IManagedContainer container,
                                     java.lang.String defaultFactoryType)

  - ### Method Detail

    - #### getDefaultFactoryType

          public java.lang.String getDefaultFactoryType()

    - #### getDefaultDescription

          public java.lang.String getDefaultDescription(java.lang.String factoryType)

      Can be overridden by subclasses.

    - #### preRun

          protected void preRun()
                         throws java.lang.Exception

      Overrides:
        `preRun` in class `LongRunningAction`
      Throws:
        `java.lang.Exception`

    - #### doRun

          protected void doRun(IProgressMonitor progressMonitor)
                        throws java.lang.Exception

      Specified by:
        `doRun` in class `LongRunningAction`
      Throws:
        `java.lang.Exception`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html